Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Subscription Billing

List Billing Plans

OpenAPI Spec

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

GET
/public/api/v1/subscriptions/billing/plans

Returns a paginated list of all the billing plans associated your account. Billing plans are the basis for all billing agreement and automatic charges. They define the price and interval between charges.

Authorization

BearerAuth
headerAuthorizationBearer <token>

Response Body

application/json

application/json

application/json

application/json

curl -X GET 'https://payments.epay.eu/public/api/v1/subscriptions/billing/plans'
{  "page": 0,  "perPage": 0,  "lastPage": 0,  "total": 0,  "firstPageUrl": "string",  "lastPageUrl": "string",  "nextPageUrl": "string",  "previousPageUrl": "string",  "nextPage": 0,  "previousPage": 0,  "from": 0,  "to": 0,  "path": "string",  "items": [    {      "billingPlan": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "instantCapture": "OFF",        "name": "string",        "color": "string",        "emoji": "string",        "amount": 0,        "currency": "str",        "maxAttempts": 0,        "interval": {          "period": "MONTH",          "frequency": 1        },        "createdAt": "2019-08-24T14:15:22Z"      }    }  ]}